﻿/* Custom Properties */
:root {
  --bg-color: #181818;
  --bg-alt: #2e2e2e;
  --txt-color: #EBEBEB;
  --txt-alt: #d1d1d1;
  --highlight-color: #FF6F00;

  --font-main: "Inter", "Segoe UI", Times, serif;
}

  /*Global*/
  .bg-alt {background-color: var(--bg-alt);}
  .orange {color: var(--highlight-color);}
  .txt-alt {
    color: var(--txt-alt);
    font-size: 1.1em;
    font-weight: 200;
  }

.contentcontainer{
  max-width: 1130px;
  margin: auto;
}

/*landing page*/
.contentwrapper{
  max-width: 770px;
  width: 100%;
  margin-left: auto;
}

#home{
  padding-bottom: 6em;
}

.homesub{
  font-size: 1.2em;
}

.landing-container{
  height: 95vh;
  padding-bottom: 3em;
  padding-top: 90px;
  display: flex;
  flex-direction: column;
}

.hometitle{
  margin-bottom: 43px;
}


.slider {
  position: relative;
  height: 88px;
  overflow: hidden;
}

.slide {
  position: absolute;
  width: 100%;
  height: 88px;
  top: 0;
  animation: move 12s ease infinite;
}

@keyframes move {
  0%   { transform: translateY(0); }
  20%   { transform: translateY(0); }

  25%  { transform: translateY(-90px); }
  45%  { transform: translateY(-90px); }

  50%  { transform: translateY(-180px); }
  70%  { transform: translateY(-180px); }

  75%  { transform: translateY(-270px); }
  95%  { transform: translateY(-270px); }

  100% { transform: translateY(0px); }
}


.experiencecount{
  height: 100vh;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  padding-bottom: 1em;
}

@keyframes bounce {
  0% {transform: translateY(0);}
  20% {transform: translateY(-20px);}
  40% {transform: translateY(0);}
  60% {transform: translateY(-10px);}
  80% {transform: translateY(0);}
  100% {transform: translateY(0);}
}

.bounce1 {
  animation: bounce 0.6s ease-out 1.3s;
  animation-fill-mode: forwards;
}

.bounce2 {
  animation: bounce 0.6s ease-out 1.9s;
  animation-fill-mode: forwards;
}

.inline{
  display: inline-block;
  text-align: center;
  margin: 2em;
}


/*content page*/

main > * {
  padding: 6em 0;
}


/* Intro */

#intro{
  max-width: 850px;
  padding-top: 1em;
}

.h1mobile{
  display: inline-block;
}

/* Specializations */

#specializations > a:visited{
  color: var(--txt-color);
}

#specializations > a{
  text-decoration-line: none;
}

.specialization-group {
  display: flex;
  flex-direction: column;
  max-width: 700px;
  margin: 2em 1em;
  padding: 2em;
  border: 1px solid var(--txt-alt);
  border-radius: 1em;
  transition: all 0.5s ease-out allow-discrete;
}

.specialization-group:hover{
  border: 1px solid var(--highlight-color);
}

.specialization-group:hover #development_projects{
  text-decoration-line: underline;
}
.specialization-group:hover #video_edit_projects{
  text-decoration-line: underline;
}
.specialization-group:hover #web_design_projects{
  text-decoration-line: underline;
}

.specialization-group > div {
margin-bottom: 0.3em;
}

.specialization-group i{
  color: var(--highlight-color);
}

.specialization-group div:nth-child(1){
  display: flex;
  justify-content: space-between;
}

.specialization-group div:nth-child(2){
  margin-bottom: 2em;
}

/* Skills */

#skills > p{
  margin-top: 2em;
}

#skills > div{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}


/*Featured Projects*/

.project-wrapper{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.project-wrapper > div{
  padding: 1em;
}

.card:hover .tech-button{
  background-color: var(--bg-color);
  color: var(--txt-color);
}

.card:hover .project-title{
  text-decoration-line: underline;
}

.card-large{
width: 750px;
}

.card-small{
width: 375px;
}

.project-image-container{
  overflow: hidden;
  border-radius: 1em;
}

.project-image{
  background-color: rgb(102, 102, 102);
  max-width: 100%;
  height: 343px;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  flex-wrap: wrap;
  background-size: cover;
  background-repeat: no-repeat;
}

.tech-button{
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: var(--txt-color);
  color: var(--bg-color);
  border-radius: 5em;
  margin: 1em 0.5em;
  padding: 0.5em 1em;
  min-width: 70px;
  font-size: 0.9em;
  font-weight: 600;
  letter-spacing: 1px;
}

.project-title{
 font-size: 1.3em;
 font-weight: 200;
 letter-spacing: 1px;
 color: var(--txt-color);
 padding: 0.4em 0;
}

.soon{
  background-color: var(--highlight-color);
}

.card:hover .soon{
  background-color: var(--highlight-color);
  color: var(--bg-color);
}

#project-1{
  background-image: url("/Images/ChessAI.jpg");
  background-position: 30% 50%;
  filter: grayscale(50%);
}


#project-2{
  background-image: url("/Images/bible.jpg");
  background-position: 0% 50%;
}

#project-3{
  background-image: url("/Images/spaghetti.jpg");
  background-position: 0% 70%;
}

#project-4{
  background-image: url("/Images/pricedata.jpg");
  background-position: 0% 0%;
}


/*About me*/

#about{
  padding-bottom: 0;
}

.aboutcontainer{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.abouttext{
  width: 100%;
  color: var(--txt-alt);
  padding: 20px 0;
  position: relative;
}

.achievements-container {
  position: relative;
  width: 100%;
  height: 240px;
  overflow: hidden;
  margin: 1em 0;
  font-size: 0.9em;
  font-weight: 400;
}



.achievements {
  height: 100%;
  width: 100%;
  overflow-y: auto;
  padding: 3em 0;
  box-sizing: border-box;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
.achievements::-webkit-scrollbar {
  display: none;
}


.achievement{
  display: flex;
  justify-content: space-between;
  padding: 10px 0;
  border-bottom: 1px solid #eee;
  align-items: center;
}

.achievements a{
  display: block;
  text-decoration: none;
  color: inherit;
  border-bottom: 1px solid #eee;
}

.achievement-year{
  margin-left: 1em;
}


.achievement:hover{
  color: var(--txt-alt);
}

.achievements a:hover .achievement{
  color: var(--highlight-color);
}

.achievement:last-child {
  border-bottom: none;
}

.fade-effect {
  position: absolute;
  left: 0;
  width: 100%;
  height: 80px;
  pointer-events: none;
}

.top-fade {
  top: 0;
  background: linear-gradient(to bottom, var(--bg-color), rgba(255, 255, 255, 0));
}

.bottom-fade {
  bottom: 0;
  background: linear-gradient(to top, var(--bg-color), rgba(255, 255, 255, 0));
}

.cv{
  width: 100%;
  text-align: center;
  padding: 10em 0;
}

.cv-button{
  background-color: var(--highlight-color);
  color: var(--bg-color);
  margin: 0;
  padding: 16px 20px;  
  font-size: 1.6em;
  font-weight: 700;
  cursor: pointer;
  border: 2px solid var(--highlight-color);
  border-radius: 4px;
}

.cv-button:hover {
  background-color: var(--bg-color);
  color: var(--highlight-color);
  border: 2px solid var(--highlight-color);
}



/*media queries*/

@media (max-width: 767px) {
  body{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
  }

  .txt-alt{
    font-size: 1em;
  }

  h1{
    font-size: 2.1em;
  }

  h2{
    margin-bottom: 0.5em;
  }


  #nav{
    width: 100%;
    max-width: 100%;
    margin: 0;
    padding: 0;
    font-size: 3vw;
    box-sizing: border-box;
  }

  #nav ul{
    margin: 0;
    padding: 0;
    width: 100%;
    justify-content: space-evenly;
  }


  .hidden{
    display: flex;
    position: fixed;
    top: 0;
    margin: 0;
    left: 0;
    
  }
  
  .sticky {
    display: flex;
    position: fixed;
    top: 0;
    margin: 0;
    left: 0;
  }



  aside{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .contact{
    position: relative;
    width: 100%;
    max-width: 100%;
    height: 100vh;
    transform: none;
    margin: 0;
    padding: 0;
    border: none;
    border-radius: 0;
    font-size: 1em;
    left: 0;
  }

  .contact > * {
    margin-bottom: 0;
  }

  .contacttitle {
    max-width: 180px;
  }
  
  .imgwrapper{
    margin: auto;
  }

  .socialmedia > li {
    margin: 0 1em;
  }

  .socialmedia > li > a{
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .contact i{
    font-size: 1.8em;
  }

  .contactbuttons{
    margin: 0 1em;
  }

  .email{
    height: 50px;
    border-radius: 50px;
    padding: 0 0.7em;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.1em;
  }

  .tel{
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
  }




  main > * {
    padding: 3em 0;
}

  .contentcontainer{
    max-width: 100%;
    padding: 0 10px;
  }
  
  .contentwrapper{
    margin: 0 auto;
    width: 100%;
    max-width: 100%;
  }

  .slider {
    position: relative;
    height: 44px;
    overflow: hidden;
  }
  
  .slide {
    position: absolute;
    width: 100%;
    height: 44px; /* .slider height */
    top: 0;
    animation: move 12s ease infinite;
  }
  
  @keyframes move {
    0%   { transform: translateY(0); }
    20%  { transform: translateY(0); }
  
    25%  { transform: translateY(-44px); }
    45%  { transform: translateY(-44px); }
  
    50%  { transform: translateY(-88px); }
    70%  { transform: translateY(-88px); }
  
    75%  { transform: translateY(-132px); }
    95%  { transform: translateY(-132px); }
  
    100% { transform: translateY(0); }
  }



  .skillset > .skill-container{
    margin: 0 1em 1em 0;
  }

  .skills > .skillset{
    max-width: 100%;
  }

  .card{
    margin-bottom: 5em;
  }

  .card-small{
    width: 750px;
  }

  .project-image{
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
    padding-bottom: 0.5em;
  }
  .tech-button{
    margin: 0.3em 0.5em;
    font-size: 0.8em;
  }

  .cv{
    padding: 5em 0;
  }


}








@media (min-width: 768px) and (max-width: 1200px) {
  body{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
  }

  aside{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .contact {
    position: relative;
    max-width: 80%;
    height: 80%;
    transform: none;
    font-size: 1.2em;
    left: 0;
    margin-top: 4em;
  }

  .content-container{
    max-width: 100%;
  }

  .contentwrapper{
    margin: 0 auto;
    width: 100%;
    padding: 0 20px;
    max-width: 850px;
  }

  .contacttitle {
    max-width: 180px;
  }

  .imgwrapper{
    margin: auto;
  }

  .socialmedia > li {
    margin: 0 1em;
  }
  .socialmedia > li > a{
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .contact i{
    font-size: 2em;
  }

  .contactbuttons{
    margin: 0 1em;
  }

  .email{
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
  }

  .tel{
    height: 100px;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
  }


  .card-small{
    width: 750px;
  }

  .landing-container{
    height: auto;
  }

  .experiencecount{
    margin-top: 20em;
    margin-bottom: 5em;
    height: 0;
  }

  #nav{
    width: 100%;
    justify-content: space-around;
  }

  #nav ul{
    justify-content: space-evenly;
    width: 100%;
  }

  .hidden{
    display: flex;
    position: fixed;
    top: 0;
    margin: 0;
    right: 0;
  }

  .sticky {
    display: flex;
    position: fixed;
    top: 0;
    margin: 0;
    right: 0;
  }
}


@media (min-width: 1201px) and (max-width: 1440px) {
  .contact {
    max-width: 350px;
    padding: 30px;
    left: 1em;
  }
}